Subject: bug#13958: Failing net-db.test on armv5tel glibc 2.17

From: [email-masked] (Ludovic Courtès)
Date: Fri, 15 Mar 2013 14:36:40 +0100

Lluís Batlle i Rossell <[email-masked]> skribis:

> I think this log should be enough. I have a dns server at 127.0.0.1,
> and I have in nix.conf:
> build-use-chroot = false
>
>
> Excerpt of the strace log:
> 16993 connect(7, {sa_family=AF_INET, sin_port=htons(53), sin_addr=inet_addr("127.0.0.1")}, 16) = 0

So you disabled nscd?  (The request goes directly to the DNS server.)

> 16993 open("/nix/store/83fff5psdwad2vcy44lv5gwyzfmj4433-glibc-2.17/lib/libnss_myhostname.so.2", O_R
> DONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)

This is most likely the culprit.  Presumably you forgot to add
libnss_myhostname to $LD_LIBRARY_PATH, no?

Also, what does /etc/nsswitch.conf look like?

Ludo’.